Loading...
Searching...
No Matches
Opm::StandardWellAssemble< FluidSystem, Indices > Class Template Reference

Class handling assemble of the equation system for StandardWell. More...

`#include <StandardWellAssemble.hpp>`

## Public Types

using | Scalar = typename FluidSystem::Scalar
using | PrimaryVariables = StandardWellPrimaryVariables<FluidSystem,Indices>
using | EvalWell = typename PrimaryVariables::EvalWell
using | IndexTraits = typename FluidSystem::IndexTraitsType
using | StandardWellEquationsType = StandardWellEquations<Scalar, IndexTraits, Indices::numEq>

## Public Member Functions

| StandardWellAssemble (const WellInterfaceFluidSystem< FluidSystem > &well)
| Constructor initializes reference to well.

void

assembleControlEq (const WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const Well::InjectionControls &inj_controls, const Well::ProductionControls &prod_controls, const PrimaryVariables &primary_variables, const Scalar rho, StandardWellEquationsType &eqns, const bool stopped_or_zero_target, DeferredLogger &deferred_logger) const

| Assemble control equation.
void | assembleInjectivityEq (const EvalWell &eq_pskin, const EvalWell &eq_wat_vel, const int pskin_index, const int wat_vel_index, const int cell_idx, const int numWellEq, StandardWellEquationsType &eqns) const
| Assemble injectivity equation.
void | assemblePerforationEq (const EvalWell &cq_s_effective, const int componentIdx, const int cell_idx, const int numWellEq, StandardWellEquationsType &eqns) const
| Assemble equation for a perforation.
void | assembleZFracEq (const EvalWell &cq_s_zfrac_effective, const int cell_idx, const int numWellEq, StandardWellEquationsType &eqns) const
| Assemble equation for Z fraction.
void | assembleSourceEq (const EvalWell &resWell_loc, const int componentIdx, const int numWellEq, StandardWellEquationsType &eqns) const
| Assemble a source term.

## Detailed Description

template<class FluidSystem, class Indices>
class Opm::StandardWellAssemble< FluidSystem, Indices >

Class handling assemble of the equation system for StandardWell.

The documentation for this class was generated from the following files:

- opm/simulators/wells/StandardWellAssemble.hpp
- opm/simulators/wells/StandardWellAssemble.cpp